#
# spec file for package python-pytest-env
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-env
Version:        1.1.5
Release:        1.5
Summary:        Pytest plugin to add environment variables
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pytest-dev/pytest-env
Source:         https://files.pythonhosted.org/packages/source/p/pytest-env/pytest_env-%{version}.tar.gz
BuildRequires:  %{python_module hatch_vcs}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 2.6.0
BuildArch:      noarch
%python_subpackages

%description
A py.test plugin that allows you to add environment variables.

%prep
%setup -q -n pytest_env-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%{python_sitelib}/pytest_env
%{python_sitelib}/pytest_env-%{version}.dist-info

%changelog
* Thu Oct 31 2024 Dirk Müller <dmueller@suse.com>
- update to 1.1.5:
  * Improve the CI
* Mon Dec  4 2023 Dirk Müller <dmueller@suse.com>
- update to 1.1.3:
  * fix README typo
* Tue Nov  7 2023 Dirk Müller <dmueller@suse.com>
- update to 1.1.1:
  * Fix native toml documentation does not match code
  * Fix type checker
  * Drop the pytest dot
  * Add native toml support
  * Disable plugin autoloading in the test suite
* Mon Jul 24 2023 Dirk Müller <dmueller@suse.com>
- update to 0.8.2:
  * Bump tools and deps
  * Bump deps and tools
  * Add 3.12 support
  * Add ruff
* Thu May  4 2023 Dirk Müller <dmueller@suse.com>
- update to 0.8.1:
  * Use hatchling and wheel
  * Add R: prefix implementation and unit tests
  * ADd mention of pyproject.toml in README.md
- use packaged LICENSE
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Cleanup a bit
- Remove test condition, there are no tests even in upstream git
  repository
* Wed May  9 2018 toddrme2178@gmail.com
- Add license file
- Use license tag
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
